Subject: bug#50959: [PATCH] Re: bug#50959: 28.0.50; Shorthand symbols are unknown to Emacs

From: João Távora <[email-masked]>
Date: Wed, 6 Oct 2021 13:53:10 +0100

On Wed, Oct 6, 2021 at 1:50 PM Stefan Monnier <[email-masked]>
wrote:

> >> > Yes, it is.  <SOME KEY SEQUENCE> is, of course, TAB.  Here is a patch
> >> > for people to try out which I will push in a few days time if there
> are
> >> > no objections.  Cc-ing completion-style specialist Stefan.
> >> Implementing it as a completion style seems wrong.
> > What is "it"? "It" === "Eli's suggestion"?
>
> "it" == "making C-x o's completion pay attention to shorthands".

In this thread, we've described many ways how that can be done.
C-x o already "pays attention" to them, from day one, but that attention
is somehow deemed insufficient.  So you'll have to be clearer about
what you're suggesting exactly, i.e., "what happens when".

João